> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dexxify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get crypto conversion rate



## OpenAPI

````yaml /openapi.json post /api/v1/misc/crypto-prices
openapi: 3.0.0
info:
  title: Dexxify API
  description: >-
    Crypto Infrastructure API for Africa (Wallets, Payouts, Offramp, Onramp,
    KYC, KYB)
  version: '1.0'
  contact:
    name: Dexxify
    url: https://www.dexxify.com
    email: dexxifyhq@gmail.com
servers: []
security: []
tags: []
paths:
  /api/v1/misc/crypto-prices:
    post:
      tags:
        - Misc - Banks & Assets
      summary: Get crypto conversion rate
      operationId: MiscController_getCryptoPrices
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetRateQueryDto'
      responses:
        '201':
          description: Crypto conversion rate retrieved successfully.
        '401':
          description: Missing, invalid, or expired authentication.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDto'
components:
  schemas:
    GetRateQueryDto:
      type: object
      properties:
        from:
          type: string
          description: Source asset
          example: USDT
        to:
          type: string
          description: Fiat currency
          example: NGN
      required:
        - from
        - to
    ErrorResponseDto:
      type: object
      properties:
        success:
          type: boolean
          example: false
        status:
          type: number
          example: 400
        message:
          type: string
          example: Validation failed.
        errors:
          type: object
          example:
            - amount must not be less than 0
        timestamp:
          type: string
          example: '2026-09-17T12:00:00.000Z'
      required:
        - success
        - status
        - message
        - timestamp

````